
% ***********************************************************************
% Copyright (c) Laura Sevilla-Lara and Erik G. Learned-Miller, 2012.
% ***********************************************************************


% default input parameters 
% params.file_path = './vid/clockScale';
% params.file_format = 'png';
% params.output_name = 'track_clock';
% params.start_fr = 40;
% params.end_fr = 488;
% params.init_pos = [114,193];
% params.wsize = [72, 66];
params.file_path = './vid/axeScale';
params.file_format = 'png';
params.output_name = 'track_axeIscale';
params.start_fr = 1;
params.end_fr = 100;
params.init_pos = [82,127];
params.wsize = [95, 32];
% params.file_path = './vid/PenOcclude';
% params.file_format = 'png';
% params.output_name = 'track_Pen';
% params.start_fr = 1;
% params.end_fr = 700;
% params.init_pos = [125,197];
% params.wsize = [80, 15];
% params.file_path = './vid/canRotate';
% params.file_format = 'png';
% params.output_name = 'track_canRot';
% params.start_fr = 1;
% params.end_fr = 700;
% params.init_pos = [112,183];
% params.wsize = [71, 27];
% params.file_path = './vid/canScale';
% params.file_format = 'png';
% params.output_name = 'track_canIscale';
% params.start_fr = 1;
% params.end_fr = 200;
% params.init_pos = [115,200];
% params.wsize = [67, 29];
% params.end_fr = 100; 
% params.init_pos = [80, 149];
% params.wsize = [40, 24];
% params.file_path = './vid/fevi';
% params.file_format = 'png';
% params.output_name = 'track_fevi';
% params.start_fr = 1;
% params.end_fr = 30;
% params.init_pos = [73,21];
% params.wsize = [125, 37];

params.nbins = 16; 
params.feat_width = 5; 
params.feat_sig = 0.625; 
params.sp_width = [9, 15];
params.sp_sig = [1, 2];
params.max_shift = 10;

% track target along sequence 
positions = trackDF(params); 

% render video of the track (and show the images if you choose to)
show_track = 1; 
track2video(positions, params.output_name, params.file_path, params.file_format, params.start_fr, params.wsize, show_track);



